<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/commun.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">commun.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Les variable utilisé en commun.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdbool.h&gt;</code><br />
</div>
<p><a href="commun_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structportee__s.html">portee_s</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structt__pos__s.html">t_pos_s</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a726ae2ab59fdd2d2e8927328a4506789"><td class="memItemLeft" align="right" valign="top"><a id="a726ae2ab59fdd2d2e8927328a4506789"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>NB_COMP</b>&#160;&#160;&#160;3</td></tr>
<tr class="separator:a726ae2ab59fdd2d2e8927328a4506789"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a474cb0fca07742f195720f141295405d"><td class="memItemLeft" align="right" valign="top"><a id="a474cb0fca07742f195720f141295405d"></a>
typedef struct <a class="el" href="structportee__s.html">portee_s</a>&#160;</td><td class="memItemRight" valign="bottom"><b>portee_t</b></td></tr>
<tr class="separator:a474cb0fca07742f195720f141295405d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cc98c18df53c7e156f2c99d9bd9abd4"><td class="memItemLeft" align="right" valign="top"><a id="a5cc98c18df53c7e156f2c99d9bd9abd4"></a>
typedef struct <a class="el" href="structt__pos__s.html">t_pos_s</a>&#160;</td><td class="memItemRight" valign="bottom"><b>t_pos</b></td></tr>
<tr class="separator:a5cc98c18df53c7e156f2c99d9bd9abd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd108f1352454683c5a5580df44a5fd0"><td class="memItemLeft" align="right" valign="top"><a id="acd108f1352454683c5a5580df44a5fd0"></a>
typedef struct <a class="el" href="structpersonnage__s.html">personnage_s</a>&#160;</td><td class="memItemRight" valign="bottom"><b>personnage_t</b></td></tr>
<tr class="separator:acd108f1352454683c5a5580df44a5fd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c160cf12a6a3e3757dc3cb1af683eb3"><td class="memItemLeft" align="right" valign="top"><a id="a9c160cf12a6a3e3757dc3cb1af683eb3"></a>
typedef struct <a class="el" href="structstatut__att__s.html">statut_att_s</a>&#160;</td><td class="memItemRight" valign="bottom"><b>statut_att</b></td></tr>
<tr class="separator:a9c160cf12a6a3e3757dc3cb1af683eb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4327c6b1387ced2362ef306eec3e4e0"><td class="memItemLeft" align="right" valign="top"><a id="ab4327c6b1387ced2362ef306eec3e4e0"></a>
typedef struct <a class="el" href="structliste__perso__s.html">liste_perso_s</a>&#160;</td><td class="memItemRight" valign="bottom"><b>liste_perso_t</b></td></tr>
<tr class="separator:ab4327c6b1387ced2362ef306eec3e4e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0110741045037570432ef85015c86a4"><td class="memItemLeft" align="right" valign="top"><a id="ad0110741045037570432ef85015c86a4"></a>
typedef struct <a class="el" href="structinfo__att__s.html">info_att_s</a>&#160;</td><td class="memItemRight" valign="bottom"><b>info_att</b></td></tr>
<tr class="separator:ad0110741045037570432ef85015c86a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae428405165bc7385d4dfdd8eaae4c40f"><td class="memItemLeft" align="right" valign="top"><a id="ae428405165bc7385d4dfdd8eaae4c40f"></a>
typedef struct <a class="el" href="structliste__pos__s.html">liste_pos_s</a>&#160;</td><td class="memItemRight" valign="bottom"><b>liste_pos_t</b></td></tr>
<tr class="separator:ae428405165bc7385d4dfdd8eaae4c40f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a17c986b35a3279592149e28dd4be4b67"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="commun_8h.html#a17c986b35a3279592149e28dd4be4b67">class_t</a> { <br />
&#160;&#160;<b>archer</b>
, <b>mage</b>
, <b>tank</b>
, <b>assassin</b>
, <br />
&#160;&#160;<b>healer</b>
, <b>epeiste</b>
<br />
 }</td></tr>
<tr class="memdesc:a17c986b35a3279592149e28dd4be4b67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Les différents types de classes.  <a href="commun_8h.html#a17c986b35a3279592149e28dd4be4b67">More...</a><br /></td></tr>
<tr class="separator:a17c986b35a3279592149e28dd4be4b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a1e7452d1383368a2471f00a416eedf"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="commun_8h.html#a1a1e7452d1383368a2471f00a416eedf">type_race_t</a> { <br />
&#160;&#160;<b>nain</b>
, <b>kobolt</b>
, <b>demon</b>
, <b>humain</b>
, <br />
&#160;&#160;<b>orc</b>
, <b>elfe</b>
<br />
 }</td></tr>
<tr class="memdesc:a1a1e7452d1383368a2471f00a416eedf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Les différents types de races.  <a href="commun_8h.html#a1a1e7452d1383368a2471f00a416eedf">More...</a><br /></td></tr>
<tr class="separator:a1a1e7452d1383368a2471f00a416eedf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5edd7aad54ac059bf561cf2f92017698"><td class="memItemLeft" align="right" valign="top"><a id="a5edd7aad54ac059bf561cf2f92017698"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>err_t</b> { <b>Ok</b>
, <b>Erreur</b>
 }</td></tr>
<tr class="separator:a5edd7aad54ac059bf561cf2f92017698"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3e546a119394ead24b8ac81c35a390c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="commun_8h.html#ac3e546a119394ead24b8ac81c35a390c">equipe_t</a> { <b>Rouge</b>
, <b>Bleu</b>
 }</td></tr>
<tr class="memdesc:ac3e546a119394ead24b8ac81c35a390c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Les différents equipe.  <a href="commun_8h.html#ac3e546a119394ead24b8ac81c35a390c">More...</a><br /></td></tr>
<tr class="separator:ac3e546a119394ead24b8ac81c35a390c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac870e865cf50ebb064bc55340a4d2e48"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="commun_8h.html#ac870e865cf50ebb064bc55340a4d2e48">etat_t</a> { <b>Mort</b>
, <b>Vivant</b>
, <b>Rien</b>
 }</td></tr>
<tr class="memdesc:ac870e865cf50ebb064bc55340a4d2e48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Les différents etats d'un personnage.  <a href="commun_8h.html#ac870e865cf50ebb064bc55340a4d2e48">More...</a><br /></td></tr>
<tr class="separator:ac870e865cf50ebb064bc55340a4d2e48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a373e6c5344503deacdbf20bcbce2f4dd"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="commun_8h.html#a373e6c5344503deacdbf20bcbce2f4dd">type_malus_t</a> { <b>bouclier</b>
, <b>degats</b>
, <b>poison</b>
, <b>deplacement</b>
 }</td></tr>
<tr class="memdesc:a373e6c5344503deacdbf20bcbce2f4dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Les différents types de malus/bonus.  <a href="commun_8h.html#a373e6c5344503deacdbf20bcbce2f4dd">More...</a><br /></td></tr>
<tr class="separator:a373e6c5344503deacdbf20bcbce2f4dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63bb45e8d9c51aeac5a553c0090593f7"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="commun_8h.html#a63bb45e8d9c51aeac5a553c0090593f7">t_temps</a> { <b>jour</b>
, <b>nuit</b>
 }</td></tr>
<tr class="memdesc:a63bb45e8d9c51aeac5a553c0090593f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Les deux temps possibles.  <a href="commun_8h.html#a63bb45e8d9c51aeac5a553c0090593f7">More...</a><br /></td></tr>
<tr class="separator:a63bb45e8d9c51aeac5a553c0090593f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Les variable utilisé en commun. </p>
<p>Ce fichier contient les variables :</p><ul>
<li>class_t</li>
<li>personnage_t</li>
<li>type_race_t</li>
<li>err_t</li>
<li>equipe_t</li>
<li>etat_t</li>
<li><a class="el" href="structportee__t.html" title="Structure qui défini la portee de deplacement et d&#39;attaque \detail.">portee_t</a></li>
<li>pos_t</li>
<li>type_malus_t</li>
<li>t_temps</li>
<li><a class="el" href="structstatut__att.html" title="Contient les informations de retour à l&#39;issue d&#39;une attaque portée Contient un type etat_attaque Cont...">statut_att</a></li>
<li><a class="el" href="structliste__perso__t.html" title="Structure d&#39;une liste de personnage.">liste_perso_t</a></li>
<li>info_att_t</li>
<li><a class="el" href="structliste__pos__t.html" title="Liste de positions.">liste_pos_t</a> <dl class="section author"><dt>Author</dt><dd>Pierre garcon, Yohann Delacroix </dd></dl>
<dl class="section date"><dt>Date</dt><dd>06 fevrier </dd></dl>
</li>
</ul>
</div><h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a17c986b35a3279592149e28dd4be4b67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17c986b35a3279592149e28dd4be4b67">&#9670;&nbsp;</a></span>class_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="commun_8h.html#a17c986b35a3279592149e28dd4be4b67">class_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Les différents types de classes. </p>
<ul>
<li>archer</li>
<li>mage</li>
<li>tank</li>
<li>assassin</li>
<li>healer</li>
<li>epeiste </li>
</ul>
<div class="fragment"><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;{archer, mage, tank, assassin, healer, epeiste} <a class="code" href="commun_8h.html#a17c986b35a3279592149e28dd4be4b67">class_t</a>;</div>
<div class="ttc" id="acommun_8h_html_a17c986b35a3279592149e28dd4be4b67"><div class="ttname"><a href="commun_8h.html#a17c986b35a3279592149e28dd4be4b67">class_t</a></div><div class="ttdeci">class_t</div><div class="ttdoc">Les différents types de classes.</div><div class="ttdef"><b>Definition:</b> commun.h:48</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="ac3e546a119394ead24b8ac81c35a390c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3e546a119394ead24b8ac81c35a390c">&#9670;&nbsp;</a></span>equipe_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="commun_8h.html#ac3e546a119394ead24b8ac81c35a390c">equipe_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Les différents equipe. </p>
<ul>
<li>Bleu</li>
<li>Rouge </li>
</ul>
<div class="fragment"><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;{Rouge, Bleu} <a class="code" href="commun_8h.html#ac3e546a119394ead24b8ac81c35a390c">equipe_t</a>;</div>
<div class="ttc" id="acommun_8h_html_ac3e546a119394ead24b8ac81c35a390c"><div class="ttname"><a href="commun_8h.html#ac3e546a119394ead24b8ac81c35a390c">equipe_t</a></div><div class="ttdeci">equipe_t</div><div class="ttdoc">Les différents equipe.</div><div class="ttdef"><b>Definition:</b> commun.h:88</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="ac870e865cf50ebb064bc55340a4d2e48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac870e865cf50ebb064bc55340a4d2e48">&#9670;&nbsp;</a></span>etat_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="commun_8h.html#ac870e865cf50ebb064bc55340a4d2e48">etat_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Les différents etats d'un personnage. </p>
<ul>
<li>Mort</li>
<li>Vivant</li>
<li>Rien </li>
</ul>
<div class="fragment"><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;{Mort, Vivant, Rien} <a class="code" href="commun_8h.html#ac870e865cf50ebb064bc55340a4d2e48">etat_t</a>;</div>
<div class="ttc" id="acommun_8h_html_ac870e865cf50ebb064bc55340a4d2e48"><div class="ttname"><a href="commun_8h.html#ac870e865cf50ebb064bc55340a4d2e48">etat_t</a></div><div class="ttdeci">etat_t</div><div class="ttdoc">Les différents etats d'un personnage.</div><div class="ttdef"><b>Definition:</b> commun.h:101</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="a63bb45e8d9c51aeac5a553c0090593f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63bb45e8d9c51aeac5a553c0090593f7">&#9670;&nbsp;</a></span>t_temps</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="commun_8h.html#a63bb45e8d9c51aeac5a553c0090593f7">t_temps</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Les deux temps possibles. </p>
<ul>
<li>jour</li>
<li>nuit </li>
</ul>
<div class="fragment"><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;{jour, nuit} <a class="code" href="commun_8h.html#a63bb45e8d9c51aeac5a553c0090593f7">t_temps</a>;</div>
<div class="ttc" id="acommun_8h_html_a63bb45e8d9c51aeac5a553c0090593f7"><div class="ttname"><a href="commun_8h.html#a63bb45e8d9c51aeac5a553c0090593f7">t_temps</a></div><div class="ttdeci">t_temps</div><div class="ttdoc">Les deux temps possibles.</div><div class="ttdef"><b>Definition:</b> commun.h:158</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="a373e6c5344503deacdbf20bcbce2f4dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a373e6c5344503deacdbf20bcbce2f4dd">&#9670;&nbsp;</a></span>type_malus_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="commun_8h.html#a373e6c5344503deacdbf20bcbce2f4dd">type_malus_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Les différents types de malus/bonus. </p>
<ul>
<li>bouclier</li>
<li>degats</li>
<li>poison</li>
<li>deplacement </li>
</ul>
<div class="fragment"><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;{bouclier, degats, poison, deplacement} <a class="code" href="commun_8h.html#a373e6c5344503deacdbf20bcbce2f4dd">type_malus_t</a>;</div>
<div class="ttc" id="acommun_8h_html_a373e6c5344503deacdbf20bcbce2f4dd"><div class="ttname"><a href="commun_8h.html#a373e6c5344503deacdbf20bcbce2f4dd">type_malus_t</a></div><div class="ttdeci">type_malus_t</div><div class="ttdoc">Les différents types de malus/bonus.</div><div class="ttdef"><b>Definition:</b> commun.h:147</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="a1a1e7452d1383368a2471f00a416eedf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a1e7452d1383368a2471f00a416eedf">&#9670;&nbsp;</a></span>type_race_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="commun_8h.html#a1a1e7452d1383368a2471f00a416eedf">type_race_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Les différents types de races. </p>
<ul>
<li>nain</li>
<li>kobold</li>
<li>demon</li>
<li>humain</li>
<li>orc</li>
<li>elfe </li>
</ul>
<div class="fragment"><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;{nain, kobolt, demon, humain, orc, elfe} <a class="code" href="commun_8h.html#a1a1e7452d1383368a2471f00a416eedf">type_race_t</a>;</div>
<div class="ttc" id="acommun_8h_html_a1a1e7452d1383368a2471f00a416eedf"><div class="ttname"><a href="commun_8h.html#a1a1e7452d1383368a2471f00a416eedf">type_race_t</a></div><div class="ttdeci">type_race_t</div><div class="ttdoc">Les différents types de races.</div><div class="ttdef"><b>Definition:</b> commun.h:64</div></div>
</div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
